-- Manage your health

local data = {
	title = 'Health',
}

local health = 0x8249cb30 + 0x14 * 4
local max_health = 0x8249cb30 + 0x15 * 4

function data.draw()
	local hh = memory.read_u32(health)
	local mhh = memory.read_u32(max_health)

	imgui.text(string.format("health: %d / %d", hh, mhh))
	
	imgui.text("max health:")
	imgui.sameline()
	if imgui.button("inc") then
		memory.write_u32(max_health, mhh + 1)
	end
	imgui.sameline()
	if imgui.button("dec") then
		memory.write_u32(max_health, mhh - 1)
	end

	if imgui.button("heal up") then
		memory.write_u32(health, mhh)
	end
end

return data
